<?php

namespace Litecms\CouponOffer;

use User;

class CouponOffer
{
    /**
     * $coupon__offer object.
     */
    protected $coupon__offer;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\CouponOffer\Interfaces\CouponOfferRepositoryInterface $coupon__offer)
    {
        $this->coupon__offer = $coupon__offer;
    }

    /**
     * Returns count of coupon__offer.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.coupon__offer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->coupon__offer->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CouponOfferUserCriteria());
        }

        $coupon__offer = $this->coupon__offer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('coupon__offer::' . $view, compact('coupon__offer'))->render();
    }
}
