<?php

namespace Litecms\CouponOffer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CouponOfferTransformer extends TransformerAbstract
{
    public function transform(\Litecms\CouponOffer\Models\CouponOffer $coupon__offer)
    {
        return [
            'id'                => $coupon__offer->getRouteKey(),
            'key'               => [
                'public'    => $coupon__offer->getPublicKey(),
                'route'     => $coupon__offer->getRouteKey(),
            ], 
            'coupon_code'       => $coupon__offer->coupon_code,
            'Discount'          => $coupon__offer->Discount,
            'coupon_limit'      => $coupon__offer->coupon_limit,
            'coupon_start_date' => $coupon__offer->coupon_start_date,
            'coupon_end_date'   => $coupon__offer->coupon_end_date,
            'coupon_status'     => $coupon__offer->coupon_status,
            'url'               => [
                'public'    => trans_url('coupon__offer/'.$coupon__offer->getPublicKey()),
                'user'      => guard_url('coupon__offer/coupon__offer/'.$coupon__offer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$coupon__offer->status),
            'created_at'        => format_date($coupon__offer->created_at),
            'updated_at'        => format_date($coupon__offer->updated_at),
        ];
    }
}